name: YouTubeAudio-iOS
options:
  bundleIdPrefix: com.neog
  deploymentTarget:
    iOS: "17.0"
  xcodeVersion: "16.0"
  generateEmptyDirectories: true

settings:
  base:
    MARKETING_VERSION: "1.0.0"
    CURRENT_PROJECT_VERSION: "1"
    DEVELOPMENT_TEAM: ""
    CODE_SIGN_STYLE: Automatic
    SWIFT_VERSION: "5.9"
    INFOPLIST_KEY_UIApplicationSceneManifest_Generation: YES
    INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents: YES
    INFOPLIST_KEY_UILaunchScreen_Generation: YES
    INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone: "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight"
    INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad: "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight"

targets:
  YouTubeAudio-iOS:
    type: application
    platform: iOS
    sources:
      - path: App
        type: group
      - path: Models
        type: group
      - path: Services
        type: group
      - path: Views
        type: group
      - path: Resources
        type: group
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.neog.YouTubeAudio
        ASSETCATALOG_COMPILER_APPICON_NAME: AppIcon
        INFOPLIST_KEY_CFBundleDisplayName: "YT Audio"
        INFOPLIST_KEY_LSApplicationCategoryType: "public.app-category.music"
        INFOPLIST_KEY_NSMicrophoneUsageDescription: "This app does not use the microphone"
        ENABLE_PREVIEWS: YES
    info:
      path: Info.plist
      properties:
        CFBundleDisplayName: "YT Audio"
        CFBundleShortVersionString: "1.0.0"
        CFBundleVersion: "1"
        UILaunchScreen: {}
        NSAppTransportSecurity:
          NSAllowsArbitraryLoads: true
        UIFileSharingEnabled: true
        LSSupportsOpeningDocumentsInPlace: true
        NSLocalNetworkUsageDescription: "YT Audio needs to connect to your local server to download audio files."
        NSBonjourServices:
          - _http._tcp
